Subject: bug#14375: 24.3; Many, Random Crashes, on Mac OS X

From: Jan Djärv <[email-masked]>
Date: Tue, 14 May 2013 11:38:03 +0200

Hello.

13 maj 2013 kl. 20:12 skrev Christopher Genovese <[email-masked]>:

> With NSZombieEnabled set to YES as instructed, I got the following on the most
> recent crash
> 
> 2013-05-13 13:17:12.964 Emacs[66253:1307] *** -[CTFontDescriptor objectForKey:]: message sent to deallocated instance 0x1336d9920
> 
> Program received signal SIGTRAP, Trace/breakpoint trap.
> 0x00007fff8ddf6d57 in ___forwarding___ ()
> (gdb) 
> 
> That's it. Emacs disappeared at that point and hung around; eventually I had
> to Force Quit.  
> 
> This seems to support the Zombie Hypothesis. What should I do about it?

The message is information enough. 
I've made a fix in the trunk, please test it if you can. 

     Jan D. 

> I've put the backtrace below. (bt full gave no symbol table
> information, and xbacktrace does not appear to be available on my gdb.)
> 
> The previous crash happened shortly after our correspondence before
> I changed the environment setting.  I've included the top (for brevity)
> of that backtrace below. It seems to be a null pointer access.
> Again, nsfont_open is showing up in both.
> 
> Thanks for your help,
> 
>    Chris
>